### 5.1.128 reservedName

`Syntax:`
  `reservedName ()`
`Type:`
  none
`Syntax:`
  `reservedName (` string_expression `)`
`Type:`
  int
`Purpose:`
  prints a list of all reserved identifiers (first form) or tests whether the string is a reserved identifier (second form).
`Example:`

      reservedName();
      ==> ... // output skipped
        reservedName("ring");
      ==> 1
        reservedName("xyz");
      ==> 0

See names; string.

User manual for Singular version 4-0-3, 2016, generated by texi2html.